# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: rag_databroker.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='rag_databroker.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x14rag_databroker.proto\"\x07\n\x05\x45mpty\"6\n\nUserInputs\x12\x12\n\nuser_query\x18\x01 \x01(\t\x12\x14\n\x0cusecase_data\x18\x02 \x01(\t22\n\nDatabroker\x12$\n\rragdatabroker\x12\x06.Empty\x1a\x0b.UserInputsb\x06proto3'
)




_EMPTY = _descriptor.Descriptor(
  name='Empty',
  full_name='Empty',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=24,
  serialized_end=31,
)


_USERINPUTS = _descriptor.Descriptor(
  name='UserInputs',
  full_name='UserInputs',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_query', full_name='UserInputs.user_query', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='usecase_data', full_name='UserInputs.usecase_data', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=33,
  serialized_end=87,
)

DESCRIPTOR.message_types_by_name['Empty'] = _EMPTY
DESCRIPTOR.message_types_by_name['UserInputs'] = _USERINPUTS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'rag_databroker_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

UserInputs = _reflection.GeneratedProtocolMessageType('UserInputs', (_message.Message,), {
  'DESCRIPTOR' : _USERINPUTS,
  '__module__' : 'rag_databroker_pb2'
  # @@protoc_insertion_point(class_scope:UserInputs)
  })
_sym_db.RegisterMessage(UserInputs)



_DATABROKER = _descriptor.ServiceDescriptor(
  name='Databroker',
  full_name='Databroker',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=89,
  serialized_end=139,
  methods=[
  _descriptor.MethodDescriptor(
    name='ragdatabroker',
    full_name='Databroker.ragdatabroker',
    index=0,
    containing_service=None,
    input_type=_EMPTY,
    output_type=_USERINPUTS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_DATABROKER)

DESCRIPTOR.services_by_name['Databroker'] = _DATABROKER

# @@protoc_insertion_point(module_scope)
